Linux下Composer的安装与配置

Linux下Composer的安装与配置

Composer 是 PHP 的一个依赖管理工具。我们可以在项目中声明所依赖的外部工具库,Composer 会帮你安装这些依赖的库文件,有了它,我们就可以很轻松的使用一个命令将其他人的优秀代码引用到我们的项目中来。

Composer 默认情况下不是全局安装,而是基于指定的项目的某个目录中(例如 vendor)进行安装。

Composer 需要 PHP 5.3.2+ 以上版本,且需要开启 openssl。

Composer安装前请务必确保已经正确安装了 PHP。打开命令行窗口并执行 php -v 查看是否正确输出版本号,如没有,可参考网址:https://www.liuwg.com/archives/php-Install 进行php安装工作。

下载与安装

php -r "copy('https://install.phpcomposer.com/installer', 'composer-setup.php');" 
php composer-setup.php 

配置

1、全局调用配置

将前面下载的 composer.phar 文件移动到 /usr/local/bin/ 目录下面:

mv composer.phar /usr/local/bin/composer

2、切换为国内镜像,提升下载速度(注:不能在root帐户下执行):

composer config -g repo.packagist composer https://packagist.phpcomposer.com

3、更新composer

composer selfupdate

4、安装composer依赖包

composer install

评论

Your browser is out-of-date!

Update your browser to view this website correctly. Update my browser now

×